Media2URL Developer Platform REST API
    • Media2URL Developer Platform - Overview & API Documentation
    • Retrieve Account & API Usage
      GET
    • Request Direct R2 Upload URL
      POST
    • Finalize Upload & Promote Asset
      POST
    • Check for Duplicate Asset
      POST
    • List Assets
      GET
    • Get Asset Details
      GET
    • Delete Asset
      DELETE
    • Presign Replacement Upload
      POST
    • Finalize Asset Replacement
      POST
    • List Asset Version History
      GET
    • List Folders
      GET
    • Create Folder
      POST
    • Import Remote URL
      POST
    • Get Job Status
      GET
    • Schemas
      • CredentialSurface
      • ProblemDetails
      • UsageResponse
      • AutomationAccountCapabilities
      • PresignUploadRequest
      • PresignUploadResponse
      • FinalizeUploadRequest
      • ReplacePresignRequest
      • AssetResource
      • CheckDuplicateRequest
      • CheckDuplicateResponse
      • PaginatedAssetList
      • VersionHistoryResponse
      • FolderResource
      • FolderListResponse
      • CreateFolderRequest
      • ImportRequest
      • ImportResponse
      • JobResource

      Presign Replacement Upload

      POST
      /assets/{assetId}/replace/presign
      Requests a temporary presigned upload URL to replace the active bytes of an existing asset.

      Request

      Authorization
      Bearer Token
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      or
      Path Params

      Body Params application/jsonRequired

      Examples

      Responses

      🟢201
      application/json
      Replacement upload presigned
      Bodyapplication/json

      🟠404NotFound
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location '/assets//replace/presign' \
      --header 'Authorization: Bearer <token>' \
      --header 'Content-Type: application/json' \
      --data '{
          "filename": "hero-v2.png",
          "content_type": "image/png",
          "size": 312000,
          "checksum_sha256": "string"
      }'
      Response Response Example
      201 - Example 1
      {
          "upload_id": "upl_9f3b1458-45a2-4a0b-8d59-2c7bb2de3f1a",
          "upload_url": "http://example.com",
          "expires_at": "2019-08-24T14:15:22.123Z",
          "required_headers": {
              "Content-Type": "image/png",
              "x-amz-checksum-sha256": "string"
          }
      }
      Modified at 2026-10-11 18:32:15
      Previous
      Delete Asset
      Next
      Finalize Asset Replacement
      Built with